<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\TugasController;
use App\Http\Controllers\LaporanController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\AnalisisController;
use App\Http\Controllers\KriteriaController;
use App\Http\Controllers\KeaktifanController;
use App\Http\Controllers\KehadiranController;
use App\Http\Controllers\PenilaianController;
use App\Http\Controllers\PraktikumController;
use App\Http\Controllers\AlternatifController;
use App\Http\Controllers\PerhitunganController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
    //return view('auth\login');
});

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('dashboard', [AdminController::class,'index'])->name('dashboard');
    
    //PUNYA PROFIL
    // Route::get('profile', [AdminController::class,'profile'])->name('admin.profile');
    Route::get('profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    //PUNYA PRAKTIKUM
    Route::get('praktikum', [PraktikumController::class, 'index'])->name('adminIndexPraktikum');
    Route::get('praktikum/tambah', [PraktikumController::class, 'create'])->name('adminCreatePraktikum');
    Route::post('praktikum', [PraktikumController::class, 'store'])->name('adminStorePraktikum');
    Route::delete('praktikum/{datapraktikum}', [PraktikumController::class, 'destroy'])->name('adminDestroyPraktikum');
    Route::get('praktikum/{datapraktikum}/edit', [PraktikumController::class, 'edit'])->name('adminEditPraktikum');
    // Route::get('Praktikum/{dataPraktikum}/edit', 'PraktikumController@edit');
    Route::patch('praktikum/{datapraktikum}', [PraktikumController::class, 'update'])->name('adminUpdatePraktikum');
    // Route::patch('/profile/ubah','AdminController@ubahdata')->name('ubahData');

    //PUNYA KEHADIRAN
    Route::get('kehadiran', [KehadiranController::class, 'index'])->name('adminIndexKehadiran');
    Route::get('kehadiran/tambah', [KehadiranController::class, 'create'])->name('adminCreateKehadiran');
    Route::post('kehadiran', [KehadiranController::class, 'store'])->name('adminStoreKehadiran');
    Route::delete('kehadiran/{datakehadiran}', [KehadiranController::class, 'destroy'])->name('adminDestroyKehadiran');
    Route::delete('kehadiransDeleteAll', [KehadiranController::class, 'deleteAll']);
    // Route::delete('kehadiransDeleteAll', 'KehadiranController@deleteAll')->name('adminDestroyKehadiranAll');
    // Route::delete('kehadiranhapusterpilih', [KehadiranController::class, 'deleteselected'])->name('adminDestroyKehadiranSelected');
    // Route::delete('kehadiran/destroymany/{kodeprak}', [KehadiranController::class, 'destroymany'])->name('adminDestroyKehadiranMany');
    Route::get('kehadiran/{datakehadiran}/edit', [KehadiranController::class, 'edit'])->name('adminEditKehadiran');
    Route::patch('kehadiran/{datakehadiran}', [KehadiranController::class, 'update'])->name('adminUpdateKehadiran');
    Route::get('kehadiran/eksport', [KehadiranController::class, 'export'])->name('adminEksportKehadiran');
    Route::post('kehadiran/import', [KehadiranController::class, 'import'])->name('adminImportKehadiran');
    
    //PUNYA TUGAS
    Route::get('tugas', [TugasController::class, 'index'])->name('adminIndexTugas');
    Route::get('tugas/tambah', [TugasController::class, 'create'])->name('adminCreateTugas');
    Route::post('tugas', [TugasController::class, 'store'])->name('adminStoreTugas');
    Route::delete('tugas/{datatugas}', [TugasController::class, 'destroy'])->name('adminDestroyTugas');
    Route::delete('tugassDeleteAll', [TugasController::class, 'deleteAll']);
    Route::get('tugas/{datatugas}/edit', [TugasController::class, 'edit'])->name('adminEditTugas');
    Route::patch('tugas/{datatugas}', [TugasController::class, 'update'])->name('adminUpdateTugas');
    Route::get('tugas/eksport', [TugasController::class, 'export'])->name('adminEksportTugas');
    Route::post('tugas/import', [TugasController::class, 'import'])->name('adminImportTugas');
    
    //PUNYA KEAKTIFAN
    Route::get('keaktifan', [KeaktifanController::class, 'index'])->name('adminIndexKeaktifan');
    Route::get('keaktifan/tambah', [KeaktifanController::class, 'create'])->name('adminCreateKeaktifan');
    Route::post('keaktifan', [KeaktifanController::class, 'store'])->name('adminStoreKeaktifan');
    Route::delete('keaktifan/{datakeaktifan}', [KeaktifanController::class, 'destroy'])->name('adminDestroyKeaktifan');
    Route::delete('keaktifansDeleteAll', [KeaktifanController::class, 'deleteAll']);
    Route::get('keaktifan/{datakeaktifan}/edit', [KeaktifanController::class, 'edit'])->name('adminEditKeaktifan');
    Route::patch('keaktifan/{datakeaktifan}', [KeaktifanController::class, 'update'])->name('adminUpdateKeaktifan');
    Route::get('keaktifan/eksport', [KeaktifanController::class, 'export'])->name('adminEksportKeaktifan');
    Route::post('keaktifan/import', [KeaktifanController::class, 'import'])->name('adminImportKeaktifan');
    
    //PUNYA LAPORAN
    Route::get('laporan', [LaporanController::class, 'index'])->name('adminIndexLaporan');
    Route::get('laporan/tambah', [LaporanController::class, 'create'])->name('adminCreateLaporan');
    Route::post('laporan', [LaporanController::class, 'store'])->name('adminStoreLaporan');
    Route::delete('laporan/{datalaporan}', [LaporanController::class, 'destroy'])->name('adminDestroyLaporan');
    Route::delete('laporansDeleteAll', [LaporanController::class, 'deleteAll']);
    Route::get('laporan/{datalaporan}/edit', [LaporanController::class, 'edit'])->name('adminEditLaporan');
    Route::patch('laporan/{datalaporan}', [LaporanController::class, 'update'])->name('adminUpdateLaporan');
    Route::get('laporan/eksport', [LaporanController::class, 'export'])->name('adminEksportLaporan');
    Route::post('laporan/import', [LaporanController::class, 'import'])->name('adminImportLaporan');
    
    //PUNYA ALTERNATIF
    Route::get('alternatif', [AlternatifController::class, 'index'])->name('adminIndexAlternatif');
    Route::get('alternatif/tambah', [AlternatifController::class, 'create'])->name('adminCreateAlternatif');
    Route::post('alternatif', [AlternatifController::class, 'store'])->name('adminStoreAlternatif');
    Route::delete('alternatif/{dataalternatif}', [AlternatifController::class, 'destroy'])->name('adminDestroyAlternatif');
    Route::get('alternatif/{dataalternatif}/edit', [AlternatifController::class, 'edit'])->name('adminEditAlternatif');
    // Route::get('alternatif/{dataalternatif}/edit', 'AlternatifController@edit');
    Route::patch('alternatif/{dataalternatif}', [AlternatifController::class, 'update'])->name('adminUpdateAlternatif');
    // Route::patch('/profile/ubah','AdminController@ubahdata')->name('ubahData');
    
    // Route::resource('alternatif', [AlternatifController::class]);

    //PUNYA KRITERIA
    Route::get('kriteria', [KriteriaController::class, 'index'])->name('adminIndexKriteria');
    Route::get('kriteria/tambah', [KriteriaController::class, 'create'])->name('adminCreateKriteria');
    Route::post('kriteria', [KriteriaController::class, 'store'])->name('adminStoreKriteria');
    Route::get('kriteriadefault', [KriteriaController::class, 'storedefaul'])->name('adminStoreKriteriaDef');
    Route::delete('kriteria/{datakriteria}', [KriteriaController::class, 'destroy'])->name('adminDestroyKriteria');
    Route::get('kriteria/{datakriteria}/edit', [KriteriaController::class, 'edit'])->name('adminEditKriteria');
    // Route::get('kriteria/{datakriteria}/edit', 'KriteriaController@edit');
    Route::patch('kriteria/{datakriteria}', [KriteriaController::class, 'update'])->name('adminUpdateKriteria');
    // Route::patch('/profile/ubah','AdminController@ubahdata')->name('ubahData');

    //PUNYA PENILAIAN
    Route::get('penilaian', [PenilaianController::class, 'index'])->name('adminIndexPenilaian');
    Route::get('penilaian/tambah', [PenilaianController::class, 'create'])->name('adminCreatePenilaian');
    Route::post('penilaian', [PenilaianController::class, 'store'])->name('adminStorePenilaian');
    Route::post('penilaianauto', [PenilaianController::class, 'storeauto'])->name('adminStoreAutoPenilaian');
    Route::delete('penilaian/{datapenilaian}', [PenilaianController::class, 'destroy'])->name('adminDestroyPenilaian');
    Route::get('penilaian/{datapenilaian}/edit', [PenilaianController::class, 'edit'])->name('adminEditPenilaian');
    // Route::get('Penilaian/{dataPenilaian}/edit', 'PenilaianController@edit');
    Route::patch('penilaian/{datapenilaian}', [PenilaianController::class, 'update'])->name('adminUpdatePenilaian');
    // Route::patch('/profile/ubah','AdminController@ubahdata')->name('ubahData');


    //PUNYA PERHITUNGAN
    Route::get('perhitungan', [PerhitunganController::class, 'index'])->name('adminIndexPerhitungan');
    
    //PUNYA ANALISIS
    Route::get('analisis', [AnalisisController::class, 'index'])->name('adminIndexAnalisis');
    
});

// Route::get('/dashboard', function () {
//     return view('dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');

// Route::middleware('auth')->group(function () {
//     Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
//     Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
//     Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
// });

require __DIR__.'/auth.php';
